using Edge.Core.Parser.BinaryParser.Attributes;
using System;
using System.Collections.Generic;
using System.Text;

namespace HengshanPaymentTerminal.MessageEntity.Outgoing
{
    public class RegisterResult : CardMessageBase
    {
        public RegisterResult() : base(Command.RegisterResult)
        {
            
        }

        [Format(4, EncodingType.BcdString, -90)]
        public string TerminalId { get; set; }

        [Format(16, EncodingType.HexString, -89)]
        public string SystemKey { get; set; }

        [Format(1, EncodingType.BIN, -88)]
        public byte Result { get; set; }

        [Format(1, EncodingType.BIN, -87)]
        public int StationNameLength { get; set; }

        [EnumerableFormat("StationNameLength", -86)]
        public List<byte> StationName { get; set; }

        [Format(1, EncodingType.BIN, -85)]
        public int AdditionalInfoLength { get; set; }

        [EnumerableFormat("AdditionalInfoLength", -84)]
        public List<byte> AdditionalInfo { get; set; }
    }
}
